<?php
/**
*	@version	0.1.0
*	@author		Ruud Eisinga (Ruud)
*	@date		2010-09-28
*	@state		@dev
*
*/
require_once(WB_PATH.'/framework/functions.php');
$admin = $wb;
function commandline($name) {
	global $wb;
	$rval = false;
	if (isset($_GET[$name])) {
		$rval = $wb->add_slashes($_GET[$name]);
		if (!$rval) $rval = true;
	}
	return $rval;
}

function _json_output($block = 1) {
	$json['page_title'] = PAGE_TITLE;
	$json['content'] = get_content($block);
	echo json_encode($json);
	exit();
}

function _xml_output($block = 1) {
	$xml['page_title'] = PAGE_TITLE;
	$xml['content'] = get_content($block);
	header ("Content-Type:text/xml");  
	echo array_to_xml($xml, new SimpleXMLElement('<root/>'))->asXML();
	exit();
}


function array_to_xml(array $arr, SimpleXMLElement $xml) {
    foreach ($arr as $k => $v) {
        is_array($v)
            ? array_to_xml($v, $xml->addChild($k))
            : $xml->addChild($k, htmlentities($v));
    }
    return $xml;
}

function get_content($block = 1) {
	// Get outside objects
	global $database;
	global $wb;
	$returnvalue = '';
	
	if(defined('PAGE_CONTENT')) {
		ob_start(); 
		require(PAGE_CONTENT);
		return ob_get_clean();
	}
	
	
	if ($wb->page_access_denied==true)	return;
	if ($wb->page_no_active_sections==true) return;
	if( ($block = intval($block)) == 0 ) { $block = 1; }
	$page_id = intval($wb->page_id);
	$_SESSION['PAGE_ID'] = !isset($_SESSION['PAGE_ID']) ? $page_id : $_SESSION['PAGE_ID'];
	if(($page_id != 0) && ($_SESSION['PAGE_ID'] <> $page_id)) $_SESSION['PAGE_ID'] = $page_id;

	// First get all sections for this page
	$sql  = 'SELECT `section_id`, `module`, `publ_start`, `publ_end` ';
	$sql .= 'FROM `'.TABLE_PREFIX.'sections` ';
	$sql .= 'WHERE `page_id`='.$page_id.' AND `block`='.$block.' ';
	$sql .= 'ORDER BY `position`';
	if( !($query_sections = $database->query($sql)) ) { return; }
	
	while($section = $query_sections->fetchRow()) {
		$now = time();
		if( !(($now<=$section['publ_end'] || $section['publ_end']==0) && ($now>=$section['publ_start'] || $section['publ_start']==0)) ) {
			continue;
		}
		$section_id = $section['section_id'];
		$module = $section['module'];
		if(file_exists(WB_PATH.'/modules/'.$module.'/view.php')) {
			ob_start(); 
			require(WB_PATH.'/modules/'.$module.'/view.php');
			$returnvalue = ob_get_clean();
		} else {
			continue;
		}
	}
	$wb->preprocess($returnvalue);
	if(file_exists(WB_PATH .'/modules/droplets/droplets.php')) {
		include_once(WB_PATH .'/modules/droplets/droplets.php');
		if(function_exists('evalDroplets')) {
			$returnvalue = evalDroplets($returnvalue);
		}
	}
	return $returnvalue;
}




?>
